Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.support
Interface InstantiationStrategy

All Known Implementing Classes:
  CglibSubclassingInstantiationStrategy, SimpleInstantiationStrategy

    public interface InstantiationStrategy

Interface responsible for creating instances corresponding to a root bean definition.

This is pulled out into a strategy as various approaches are possible, including using CGLIB to create subclasses on the fly to support Method Injection.

Since:
  1.1
Author:
  Rod Johnson

Method Summary
`java.lang.Object` | `instantiate(RootBeanDefinition beanDefinition, java.lang.String beanName, BeanFactory owner)` Return an instance of the bean with the given name in this factory.
`java.lang.Object` | `instantiate(RootBeanDefinition beanDefinition, java.lang.String beanName, BeanFactory owner, java.lang.reflect.Constructor<?> ctor, java.lang.Object[] args)` Return an instance of the bean with the given name in this factory, creating it via the given constructor.
`java.lang.Object` | `instantiate(RootBeanDefinition beanDefinition, java.lang.String beanName, BeanFactory owner, java.lang.Object factoryBean, java.lang.reflect.Method factoryMethod, java.lang.Object[] args)` Return an instance of the bean with the given name in this factory, creating it via the given factory method.

Method Detail

### instantiate

    java.lang.Object instantiate(RootBeanDefinition beanDefinition,
                                 java.lang.String beanName,
                                 BeanFactory owner)
                                 throws BeansException

  Return an instance of the bean with the given name in this factory.

  Parameters:
    `beanDefinition` - the bean definition
    `beanName` - name of the bean when it's created in this context. The name can be `null` if we're autowiring a bean that doesn't belong to the factory.
    `owner` - owning BeanFactory
  Returns:
    a bean instance for this bean definition
  Throws:
    `BeansException` - if the instantiation failed

### instantiate

    java.lang.Object instantiate(RootBeanDefinition beanDefinition,
                                 java.lang.String beanName,
                                 BeanFactory owner,
                                 java.lang.reflect.Constructor<?> ctor,
                                 java.lang.Object[] args)
                                 throws BeansException

  Return an instance of the bean with the given name in this factory, creating it via the given constructor.

  Parameters:
    `beanDefinition` - the bean definition
    `beanName` - name of the bean when it's created in this context. The name can be `null` if we're autowiring a bean that doesn't belong to the factory.
    `owner` - owning BeanFactory
    `ctor` - the constructor to use
    `args` - the constructor arguments to apply
  Returns:
    a bean instance for this bean definition
  Throws:
    `BeansException` - if the instantiation failed

### instantiate

    java.lang.Object instantiate(RootBeanDefinition beanDefinition,
                                 java.lang.String beanName,
                                 BeanFactory owner,
                                 java.lang.Object factoryBean,
                                 java.lang.reflect.Method factoryMethod,
                                 java.lang.Object[] args)
                                 throws BeansException

  Return an instance of the bean with the given name in this factory, creating it via the given factory method.

  Parameters:
    `beanDefinition` - bean definition
    `beanName` - name of the bean when it's created in this context. The name can be `null` if we're autowiring a bean that doesn't belong to the factory.
    `owner` - owning BeanFactory
    `factoryBean` - the factory bean instance to call the factory method on, or `null` in case of a static factory method
    `factoryMethod` - the factory method to use
    `args` - the factory method arguments to apply
  Returns:
    a bean instance for this bean definition
  Throws:
    `BeansException` - if the instantiation failed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD